/*------------------------------- Body ------------------------------- */

body {
    background: url("../media/Group12.png") center no-repeat, url("../media/Vector.png") 90% 30% no-repeat, url("../media/Vector.png") 10% 60% no-repeat;
    background-color: rgba(242, 242, 242, 1);
}

/*------------------------------- Typo ------------------------------- */

.title {
    color: #5E00A9;
    text-align: center;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 40px;
    font-style: normal;
    font-weight: 700;
    line-height: 68px;
    margin: auto;
}

.title-text {
    color: var(--Dark-Dark-1, #343D42);
    text-align: justify;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 21px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
    margin: 2%;
}

.form-title {
    color: #5E00A9;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 28px;
    margin: 10px 0px;
}

.logo img{
  width: 600px;
}

.middle {
  margin: 40px auto 0;
  width: 600px;
}

/*------------------------------- Input ------------------------------- */

.placeholder input {
    width: 100%;
    height: 100%;
    color: var(--Dark-Dark-1, #343D42);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
    margin-bottom: 2%;
    border-radius: 6px;
    background: var(--Light-Light-1, #FFF);
    border: none;
    padding: 0 15px;
}

input.form-control,
select.form-control {
    border: white;
    box-shadow: none !important;
}

select.form-control:focus,
select.form-control:focus-visible {
    outline: 3px solid #000;
    outline-offset: 2px;
}

.form-control-lg {
    font-size: 1.1rem !important;
}

.form-check-input {
    position: relative !important;
}

.form-group {
    margin-bottom: 2em;
}

.alert-btn {
    white-space: nowrap;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    text-align: center;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

.alert-btn i {
    margin-right: 0.5rem;
}

button.alert-btn {
    border: none;
    font-family: inherit;
}

input::placeholder {
    font-size: 0.9em;
}

.small-select-text {
    font-size: 1.17rem;
}

label {
    margin-bottom: 0px !important;
    color: var(--Dark-Dark-1, #343D42) !important;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter, serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px;
}

.info-rectangle {
    display: none;
    background: #f9f9f9;
    border: 1px solid #ddd;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    padding: 5px;
    border-radius: 8px;
    font-size: 0.9rem;
    color: #5E00A9;
}

.info-circle,
.info-circle2,
.info-circle3,
.info-circle4,
.info-circle5,
.info-circleImc {
    cursor: pointer;
}

.fa-circle-info:before,
.fa-info-circle:before {
    color: #5e04a6;
}

.info-text {
    margin: 1%;
    flex-grow: 1;
}

a {
    color: #5E00A9;
    text-decoration: underline;
    background-color: transparent;
}

a:hover {
    color: #4b0188;
}

.row {
    margin-right: 0px;
    margin-left: 0px;
}

.validated {
    background-color: #5E00A9 !important;
    color: white !important;
}

.validated:hover {
    cursor: pointer !important;
}

#understandButtonCom,
#understandButtonAct {
    border-radius: 6px;
    background: #a576e8;
    color: var(--Light-Light-1, #FFF);
}

#understandButtonCom:hover,
#understandButtonAct:hover {
    cursor: pointer !important;
    background: #5E00A9 !important;
    transition: background 0.3s ease;
    color: #fff !important;
}

#actInfoRectangle.active,
#comorbiditesInfoRectangle.active {
    pointer-events: auto;
    user-select: auto;
    z-index: 1000;
    background: white;
    padding: 20px;
    border: 1px solid #ccc;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

#actInfoRectangle,
#comorbiditesInfoRectangle {
    display: none;
}

/*----------------------- Boutons ----------------------*/
.button-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn {
    background-color: #5E00A9 !important;
    border-color: #5E00A9 !important;
}

.btn:hover {
    text-decoration: none;
    background: #550495 !important;
    cursor: pointer;
    transition: background 0.3s ease;
}

.btn:active {
    background: #5E00A9 !important;
    transition: background 0.1s ease;
}

.btn:focus-visible {
    outline: 3px solid #000;
    outline-offset: 2px;
}

/*--------------------------------------------*/

.placeholder-multiple-choice {
    padding: 10px 10px;
    align-items: end;
    gap: 5px;
    margin-right: 10px;
    border-radius: 6px;
    background-color: white;
    color: var(--Dark-Dark-1, #343D42);
    width: 100%;
}

.placeholder-choice {
    padding: 10px 10px;
    align-items: center;
    gap: 5px;
    border-radius: 6px;
    background-color: white;
    color: var(--Dark-Dark-1, #343D42);
    display: flex;
    width: 100%;
    box-sizing: border-box;
    margin: 1%;
}

.checkbox-container {
    background-color: white;
    border: 1px solid white;
    padding: 10px;
    border-radius: 5px;
}

#presenceLimitationBloc,
#limitationsBloc,
#medicamentsBloc,
#comorbiditesBloc,
#oxygenBloc {
    display: none;
}

.required-field::after {
    content: " *";
    color: red;
}

input[type="checkbox"],
input[type=radio] {
    position: relative;
    width: 20px;
    height: 20px;
    background-color: #fff;
    appearance: none;
    border: 1px solid #7b77776e;
    cursor: pointer !important;
    border-radius: .25em;
}

input[type="checkbox"]:checked,
input[type=radio]:checked {
    background-color: #5E00A9;
}

input[type="checkbox"]::before,
input[type=radio]:before {
    content: '';
    position: absolute;
    top: 2px;
    left: 7px;
    width: 6px;
    height: 14px;
    border: 3px solid transparent;
    border-left: none;
    border-top: none;
    transform: rotate(45deg) scale(1);
}

input[type="checkbox"]:checked::before,
input[type="radio"]:checked::before {
    border-color: #FFF;
}

.placeholder-choice label {
    color: var(--Dark-Dark-1, #343D42);
    font-family: Inter, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    float: inline-start;
    margin-bottom: 4px;
    margin-top: 3px;
    cursor: pointer !important;
}

#error_message_taille,
#error_message_poids,
#error_message_act,
#error_message_dyspnee,
#error_message_understand,
#error_message_understand_comorbidites,
#error_message_mandatory {
    color: #ff0000c9;
    font-size: 14px;
    display: none;
    margin-top: 4px;
}

#formError {
    transition: opacity 0.5s ease-in-out;
    color: red;
    font-size: 14px;
    text-align-last: center;
    margin: 1%;
}

.show {
    opacity: 1;
}

.hidden {
    display: none;
}

.full-width-on-large {
    flex: 0 0 100%;
    max-width: 100%;
}


/* tableau dans le texte d'info de champs Dyspnee */
.info-table {
    width: 100%;
    border-collapse: collapse;
    text-align: left;
    font-size: 0.9em;
    border: 1px solid #dddddd;
    margin-top: 20px;
}

.info-table th,
.info-table td {
    padding: 12px 15px;
}

.info-table thead th {
    background-color: #f2f2f2;
    color: #333333;
    font-weight: bold;
}

.info-table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.info-table tbody tr:nth-child(odd) {
    background-color: #f9f9f9;
}

.info-table tbody tr:hover {
    background-color: #f1f1f1;
}

/* Styles pour le comportement de rectangle de texte + confirmation du champs ACT */
.blur-background {
    filter: blur(4px);
}

#actInfoText,
#comorbiditesInfoText {
    color: rgb(255, 255, 255);
    align-self: center;
}

.icon-check {
    display: inline-block;
    transition: background 0.3s ease;
}

.info-Dyspnee {
    margin: 10px;
}

/* style pour le message d'alerte */
.alert-primary {
    color: rgb(255, 255, 255);
    box-shadow: 0 2px 5px rgba(34, 31, 31, 0.2);
    background-color: #5e00a9a1;
    border: 1px solid #ddd;
    font-size: 14px;
    padding: 10px;
    border-radius: 8px;
    margin-bottom: 5px;
}

/*------------------------------- Popup alerte : scrore Act ------------------------------- */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 300px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.48);
}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    width: 80%;
    padding: 0;
    border: 1px solid #888;
    border-radius: 6px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}

.modal-title {
    font-weight: 700;
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 0;
        opacity: 1
    }
}

@keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 0;
        opacity: 1
    }
}

.modal-header {
    display: inline;
    background-color: #5E00A9;
    color: white;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}

.modal-footer {
    padding: 2px 16px;
    background-color: white;
    color: white;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 20px;
    border-top: 0px;
}

.close {
    color: white !important;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
    float: right;
    margin-top: 1%;
    margin-right: 1%;
    opacity: 1;
}

.close:hover,
.close:focus {
    text-decoration: none !important;
    cursor: pointer;
    color: #ccc;
    opacity: 1;
}

.modal-open {
    overflow: hidden;
}

#modal-message {
    font-size: 18px;
    margin-bottom: 0px;
}

/*------------------------------- Footer ------------------------------- */

.footer {
    display: inherit;
    justify-content: center;
    align-items: center;
    min-height: 3vh;
}

.bottom-right {
    position: absolute;
    right: 15px;
    font-size: 18px;
    color: var(--Dark-Dark-1, #343D42);
    margin-bottom: 0%;
}


/*------------------------------- Media Queries ------------------------- */

/* By default css is applied for extra and small classes and then the @media is used to redefine the css */

/*-------------------------------Media Queries----------------------------- */


/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

    .title {
        font-size: 28px;
    }

    .title-text {
        font-size: 18px;
        text-align: justify;
        line-height: 25px;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {

    .title {
        font-size: 35px;
    }

    .title-text {
        font-size: 18px;
        text-align: justify;
        line-height: 25px;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {

    .title {
        font-size: 40px;
    }

    .title-text {
        font-size: 21px;
        text-align: justify;
        line-height: 28px;
    }

    .modal-content {
        width: 60% !important;
    }

    .placeholder-choice {
        width: 49%;

    }

    .placeholder-choice:first-child {
        margin-left: 0;
    }

    .placeholder-choice:nth-child(2) {
        margin-right: 0;
    }

}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {

    .title {
        font-size: 50px;
    }

    .title-text {
        font-size: 21px;
        text-align: center;
        line-height: 30px;
    }

    .modal-content {
        width: 50% !important;
    }

    .bottom-right {
        font-size: 20px;
    }

    .placeholder-choice {
        width: 25%;
    }

    .placeholder-multiple-choice {
        width: 52%;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {

    .title {
        font-size: 50px;
    }

    .title-text {
        font-size: 21px;
        text-align: center;
        line-height: 30px;
    }

    .modal-content {
        width: 40% !important;
    }

    .bottom-right {
        font-size: 20px;
    }

    .placeholder-choice {
        width: 25%;
    }

    .placeholder-multiple-choice {
        width: 52%;
    }

}
